Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer Interface Reference

Used to retrieve ISynchronizedEvent and ISynchronizationContainer. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer:

## Public Member Functions
bool | HasEvents ()
| Checks if there are events or not. More...
IReadOnlyCollection< ISynchronizedEvent > | GetEvents (Predicate< ISynchronizedEvent > predicate=null)
| Gets a IReadOnlyCollection<ISynchronizedEvent> of ISynchronizedEvent from the ISynchronizationContainer using an optional Predicate<ISynchronizedEvent>. More...
void | SetHandled (ISynchronizedEvent synchronizedEvent)
| Sets an ISynchronizedEvent as handled. More...
void | SetHandled (IEnumerable< ISynchronizedEvent > synchronizedEvents)
| Sets a list of ISynchronizedEvent as handled. More...

## Properties
ICoreObjectWithSynchronizations | Parent`[get]`
| The parent as ICoreObjectWithSynchronizations. More...

## Detailed Description

Used to retrieve ISynchronizedEvent and ISynchronizationContainer.

## Member Function Documentation

## ◆ GetEvents()

IReadOnlyCollection<ISynchronizedEvent> Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer.GetEvents | ( | Predicate< ISynchronizedEvent > | predicate = `null` | ) |

Gets a IReadOnlyCollection<ISynchronizedEvent> of ISynchronizedEvent from the ISynchronizationContainer using an optional Predicate<ISynchronizedEvent>.

Parameters

  predicate | The optional predicate to specify the events to be taken.

Returns
  Returns a IReadOnlyCollection<ISynchronizedEvent> of ISynchronizedEvent.

## ◆ HasEvents()

bool Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer.HasEvents | ( |  | ) |

Checks if there are events or not.

Returns
  Returns whether there are events or not.

## ◆ SetHandled() [1/2]

void Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer.SetHandled | ( | ISynchronizedEvent | synchronizedEvent | ) |

Sets an ISynchronizedEvent as handled.

Parameters

  synchronizedEvent | The see cref="ISynchronizedEvent" /> to be set as handled.

## ◆ SetHandled() [2/2]

void Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer.SetHandled | ( | IEnumerable< ISynchronizedEvent > | synchronizedEvents | ) |

Sets a list of ISynchronizedEvent as handled.

Parameters

  synchronizedEvents | The list of ISynchronizedEvent to be set as handled.

## Property Documentation

## ◆ Parent

ICoreObjectWithSynchronizations Ofcas.Lk.Api.Client.Core.Interfaces.ISynchronizationContainer.Parent
| get

The parent as ICoreObjectWithSynchronizations.

The documentation for this interface was generated from the following file:

- ISynchronizationContainer.cs